# Generated from rabbit-slide-komainu8-dbstudychugoku-28th-2020.01.25.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rabbit-slide-komainu8-dbstudychugoku-28th

Name: rubygem-%{gem_name}
Version: 2020.01.25.0
Release: 1%{?dist}
Summary: Amazon RDS+EC2+PGroonga+ロジカルレプリケーションを使った低コスト高速全文検索
License: CC-BY-SA-4.0 and CC-BY-3.0
URL: https://slide.rabbit-shocker.org/authors/komainu8/dbstudychugoku-28th/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
PostgreSQL で使用できる全文検索の拡張に PGroonga という高速で高性能な拡張があります。 PGroonga
は、全言語対応の超高速全文検索機能を PostgreSQL で使えるようにする拡張で、
安定して高速で、かつ高機能（同義語、表記ゆれや異字体への対応、類似文書検索などが使えます）です。
Amazon RDS は Amazon がクラウド上で提供する RDBS サービスで、データベースのインストールや
パッチ適用、スケールアウト、バックアップなどを Amazon が面倒をみてくれるため、 運用上の手間を大幅に減らすことができます。
Amazon RDS は、とても便利なのですが、拡張機能を自由にインストールすることができません。 以下の URL の一覧にある拡張しか使えません。
https://docs.aws.amazon.com/ja_jp/AmazonRDS/latest/UserGuide/CHAP_PostgreSQL.html#PostgreSQL.Concepts.General.FeatureSupport.Extensions.11x
PGroonga も使えないため、日本語を始めとする多言語対応の超高速全文検索機能を Amazon RDS では使うことができません。
そこで、PostgreSQL 10 から使えるようになった、ロジカルレプリケーションと Amazon EC2 上にインストールした PostgreSQL と
PGroonga を使って RDS のメリットである、 運用の負担を少なくしつつ、PGroonga
を使用して高速で高機能な全文検索ができるような構成を考えました。
本発表では、どのような構成で Amazon RDS のメリットを活かしつつ、Amazon EC2 上で PGroonga
を使った全文検索ができるのかを紹介します。.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.rabbit
%{gem_instdir}/Images
%{gem_instdir}/config.yaml
%{gem_instdir}/logical-replication-and-full-text-search.rab
%{gem_instdir}/pdf
%{gem_instdir}/theme.rb
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/README.rd
%{gem_instdir}/Rakefile

%changelog
* Tue Sep 14 2021 mockbuilder - 2020.01.25.0-1
- Initial package
